Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGString::Iter Class Reference

`#include <RVNGString.h>`

## Public Member Functions
| Iter (const RVNGString &str)
virtual | ~Iter ()
void | rewind ()
bool | next ()
bool | last ()
const char * | operator() () const

## Private Member Functions
| Iter (const Iter &)
Iter & | operator= (const Iter &)

## Private Attributes
RVNGStringImpl * | m_stringImpl
int | m_pos
char * | m_curChar

## Constructor & Destructor Documentation

## ◆ Iter() [1/2]

librevenge::RVNGString::Iter::Iter | ( | const RVNGString & | str | ) |

## ◆ ~Iter()

librevenge::RVNGString::Iter::~Iter | ( |  | ) |
| virtual

## ◆ Iter() [2/2]

librevenge::RVNGString::Iter::Iter | ( | const Iter & |  | ) |
| private

## Member Function Documentation

## ◆ last()

bool librevenge::RVNGString::Iter::last | ( |  | ) |

## ◆ next()

bool librevenge::RVNGString::Iter::next | ( |  | ) |

## ◆ operator()()

const char * librevenge::RVNGString::Iter::operator() | ( |  | ) | const

## ◆ operator=()

Iter& librevenge::RVNGString::Iter::operator= | ( | const Iter & |  | ) |
| private

## ◆ rewind()

void librevenge::RVNGString::Iter::rewind | ( |  | ) |

## Member Data Documentation

## ◆ m_curChar

char* librevenge::RVNGString::Iter::m_curChar
| mutable private

## ◆ m_pos

int librevenge::RVNGString::Iter::m_pos
| private

## ◆ m_stringImpl

RVNGStringImpl* librevenge::RVNGString::Iter::m_stringImpl
| private

Referenced by Iter().

The documentation for this class was generated from the following files:

- RVNGString.h
- RVNGString.cpp